de.esprit.netsuite.server.hist

## Class TaskHistoryWriter

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<ServerContext>
      - - de.esprit.netsuite.server.hist.TaskHistoryWriter

- All Implemented Interfaces:
    ApplicationObject<ServerContext>, SimpleLogSupport, Dumpable, ServerConfigFile, ServerObject<ServerContext>

      public class TaskHistoryWriter
      extends AbstractServerObject<ServerContext>
      implements ServerConfigFile

  This class it the interface to the Task history files written by the esprit server. It synchronizes the access to the history files and writes the history records in NDF format.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.netsuite.server.config.ServerConfigFile

      `BATCH_TASK_HISTORY_FILENAME, BATCHTASK, CREDENTIAL_EMB, CREDENTIAL_NET, DATASOURCE, GROUP, MEMBER, NETWORK, PARAM, PERMISSION, REMOTE_TASK_HISTORY_FILENAME, STARTUP, USER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskHistoryWriter(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearHistoryFiles()`
    `java.io.File` | `getBatchTaskHistoryFile()`
    `java.io.File` | `getRemoteTaskHistoryFile()`
    `void` | `writeRecord(TaskHistoryRecord record)`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskHistoryWriter

          public TaskHistoryWriter(ServerContext serverCtx)

  - ### Method Detail

    - #### getBatchTaskHistoryFile

          public java.io.File getBatchTaskHistoryFile()

    - #### getRemoteTaskHistoryFile

          public java.io.File getRemoteTaskHistoryFile()

    - #### clearHistoryFiles

          public void clearHistoryFiles()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### writeRecord

          public void writeRecord(TaskHistoryRecord record)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.